Arch: Cadru/Frame

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Frame and the translation is 47% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська

Arch Frame.svg Arch Frame

Menu location
Arch → Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
None

Arch Frame.svg Arch Frame

Menu location
Arch → Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
Arch Wall, Arch Structure


Descriere

Instrumentul de cadru/dulgherie este utilizat pentru a construi toate tipurile de obiecte de tâmplărie pe baza unui profil și a unei căi. Profilul este extrudat de-a lungul liniilor căii care poate consta din orice obiect 2D, de exemplu dintr-un sketch sau dintr-un draft object. Este deosebit de util pentru crearea de balustrade sau ziduri de tamplarie. Obiectele de dulgherie pot fi transformate cu ușurință în obiecte wall sau

structure ..

Arch Frame example.jpg

În imaginea de mai sus, un line a fost transformat într-un array și un obiect cadru a fost făcut utilizând matricele ca aspect și un circleca profil.

Cum se folosește

  1. Creați un aspect al unui obiect și profilul unui un obiect, de exemplu cu Draft Workbench sau Sketcher Workbench
  2. Selectați primul obiect în aspect, apoi țineți apăsată tasta CTRL și selectați obiectul care urmează a fi profilat
  3. Apăsați butonul Arch Frame.png Arch Frame, sau apăsați tastele în ordine F apoi R

Opţiuni

  • Articolele de tâmplărie/Frames partajează proprietățile și comportamentele comune ale tuturor componentelor Arc Components
  • Prin setarea proprietății Offset, obiectul de dulgherie poate fi poziționat la distanța dorită de obiectul urmărit.
  • Profilul va fi copiat la baza fiecărei margini a obiectului de aspect, apoi extrudat de-a lungul acestuia. Puteți controla modul în care profilul este plasat la baza fiecărei margini cu proprietățile Align and Rotation.

Proprietăți

  • DATABase: The layout this frame is based on.
  • DATAProfile: The profile this frame is based on.
  • DATAAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DATAOffset: An optional distance between the layout object and the frame object.
  • DATARotation: The rotation of the profile around its extrusion axis.

Scrip-Programare

Instrumentul Frame poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

Frame = makeFrame(baseobj, profile)
  • Creează un obiect cadru dintr-o schiță de bază (sau orice alt obiect care conține fire) și un obiect profil (un obiect extrudabil 2D care conține fețe sau fire închise)
  • Returnează noul obiect cadru sau Niciunul dacă operația a eșuat.

Exempluː

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()